RDKit: DistGeom::DistViolationContribsParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistGeom::DistViolationContribsParams Struct Reference

`#include <DistViolationContribs.h>`

## Public Member Functions
| DistViolationContribsParams (unsigned int i1, unsigned int i2, double u, double l, double w=1.0)

## Public Attributes
unsigned int | idx1 {0}
| index of end1 in the ForceField's positions
unsigned int | idx2 {0}
| index of end2 in the ForceField's positions
double | ub {1000.0}
| upper bound on the distance
double | lb {0.0}
| lower bound on the distance
double | ub2 {1000000.0}
| squared upper bound on the distance
double | lb2 {0.0}
| squared lower bound on the distance
double | weight {1.0}
| used to adjust relative contribution weights

## Detailed Description

Definition at line 19 of file DistViolationContribs.h.

## Constructor & Destructor Documentation

## ◆ DistViolationContribsParams()

DistGeom::DistViolationContribsParams::DistViolationContribsParams | ( | unsigned int | i1,
|  | unsigned int | i2,
|  | double | u,
|  | double | l,
|  | double | w = 1.0 )
| inline

Definition at line 27 of file DistViolationContribs.h.

References idx1, idx2, lb, lb2, ub, ub2, and weight.

## Member Data Documentation

## ◆ idx1

unsigned int DistGeom::DistViolationContribsParams::idx1 {0}

index of end1 in the ForceField's positions

Definition at line 20 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ idx2

unsigned int DistGeom::DistViolationContribsParams::idx2 {0}

index of end2 in the ForceField's positions

Definition at line 21 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ lb

double DistGeom::DistViolationContribsParams::lb {0.0}

lower bound on the distance

Definition at line 23 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ lb2

double DistGeom::DistViolationContribsParams::lb2 {0.0}

squared lower bound on the distance

Definition at line 25 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ ub

double DistGeom::DistViolationContribsParams::ub {1000.0}

upper bound on the distance

Definition at line 22 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ ub2

double DistGeom::DistViolationContribsParams::ub2 {1000000.0}

squared upper bound on the distance

Definition at line 24 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

## ◆ weight

double DistGeom::DistViolationContribsParams::weight {1.0}

used to adjust relative contribution weights

Definition at line 26 of file DistViolationContribs.h.

Referenced by DistViolationContribsParams().

The documentation for this struct was generated from the following file:

- DistViolationContribs.h